Page MenuHomePhabricator

1.33.0-wmf.25 deployment blockers
Closed, ResolvedPublicRelease

Details

2019 week 15 1.33-wmf.25 Changes wmf/1.33.0-wmf.25

This MediaWiki Train Deployment is scheduled for the week of Monday, April 8th:

Monday April 8thTuesday, April 9thWednesday, April 10thThursday, April 11thFriday
SWAT deployments only.Branch wmf.25 and deploy to Group 0 Wikis.Deploy wmf.25 to Group 1 Wikis.Deploy wmf.25 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.25 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.33.0-wmf.24
Next: 1.33.0-wmf.26

Event Timeline

greg created this task.Oct 10 2018, 5:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 10 2018, 5:23 PM
greg triaged this task as Normal priority.Oct 10 2018, 7:26 PM
greg assigned this task to mmodell.Apr 4 2019, 6:04 PM
mmodell added a subtask: Restricted Task.Apr 9 2019, 9:32 PM

Change 502626 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] testwikis wikis to 1.33.0-wmf.25 refs T206679

https://gerrit.wikimedia.org/r/502626

Change 502626 merged by jenkins-bot:
[operations/mediawiki-config@master] testwikis wikis to 1.33.0-wmf.25 refs T206679

https://gerrit.wikimedia.org/r/502626

Mentioned in SAL (#wikimedia-operations) [2019-04-09T22:31:04Z] <twentyafterfour@deploy1001> Finished scap: testwikis wikis to 1.33.0-wmf.25 refs T206679 (duration: 39m 59s)

mmodell removed a subtask: Restricted Task.Apr 9 2019, 10:45 PM

Change 502865 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group0 wikis to 1.33.0-wmf.25 refs T206679

https://gerrit.wikimedia.org/r/502865

Change 502865 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.33.0-wmf.25 refs T206679

https://gerrit.wikimedia.org/r/502865

Mentioned in SAL (#wikimedia-operations) [2019-04-10T19:28:48Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group0 wikis to 1.33.0-wmf.25 refs T206679

Change 502870 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.33.0-wmf.25 refs T206679

https://gerrit.wikimedia.org/r/502870

Change 502870 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.33.0-wmf.25 refs T206679

https://gerrit.wikimedia.org/r/502870

Mentioned in SAL (#wikimedia-operations) [2019-04-10T19:40:47Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group1 wikis to 1.33.0-wmf.25 refs T206679

Mentioned in SAL (#wikimedia-operations) [2019-04-10T19:42:36Z] <twentyafterfour@deploy1001> Synchronized php: group1 wikis to 1.33.0-wmf.25 refs T206679 (duration: 01m 48s)

Change 503090 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] all wikis to 1.33.0-wmf.25 refs T206679

https://gerrit.wikimedia.org/r/503090

Change 503090 merged by jenkins-bot:
[operations/mediawiki-config@master] all wikis to 1.33.0-wmf.25 refs T206679

https://gerrit.wikimedia.org/r/503090

mmodell closed this task as Resolved.Apr 12 2019, 8:35 PM